### Class

# Nautilus MenuItem

#### Description

    class Nautilus.MenuItem : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### nautilus_menu_item_new

Creates a new menu item that can be added to the toolbar or to a contextual menu.

#### Functions

###### nautilus_menu_item_list_free

No description available.

#### Instance methods

###### nautilus_menu_item_activate

Emits `NautilusMenuItem::activate`.

###### nautilus_menu_item_set_submenu

Attaches a menu to the given `NautilusMenuItem`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Nautilus.MenuItem:icon

No description available.

###### Nautilus.MenuItem:label

No description available.

###### Nautilus.MenuItem:menu

No description available.

###### Nautilus.MenuItem:name

No description available.

###### Nautilus.MenuItem:priority

No description available.

###### Nautilus.MenuItem:sensitive

No description available.

###### Nautilus.MenuItem:tip

No description available.

#### Signals

###### Nautilus.MenuItem::activate

Signals that the user has activated this menu item.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NautilusMenuItemClass {
      GObjectClass parent;
      void (* activate) (
        NautilusMenuItem* item
      );

    }

No description available.

###### Class members

`parent: GObjectClass`
  No description available.
`activate: void (* activate) ( NautilusMenuItem* item )`
  No description available.

#### Virtual methods

###### Nautilus.MenuItemClass.activate

Emits `NautilusMenuItem::activate`.